API referenceAdmin operations
Get application usage totals
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Query Parameters
month?string
YYYY-MM; defaults to the current UTC month.
Match
^\d{4}-(?:0[1-9]|1[0-2])$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/apps/string/usage"{ "app_id": "string", "month": "string", "requests": 0, "input_tokens": 0, "cached_input_tokens": 0, "cache_write_tokens": 0, "output_tokens": 0, "cost_usd": 0}Unblock an application user
Unblock an application user (POST /v1/admin/apps/{app}/users/{user}/unblock) in the App AI Gateway API.
Preview or apply current catalog prices to stored usage
Preview or apply current catalog prices to stored usage (POST /v1/admin/apps/{app}/usage/reprice) in the App AI Gateway API.